## libmoe 1.5.2

=== Makefile ===
# You need GNU C, GNU Make, GNU fileutils, and GNU binutils.

include version.mak

DESTDIR=
PREFIX=/usr/local
INCDIR=${PREFIX}/include/moe
LIBSODIR=${PREFIX}/lib
LIBADIR=${LIBSODIR}
LIBEXECDIR=${PREFIX}/libexec/moe
BINDIR=${PREFIX}/bin
MANDIR=${PREFIX}/man
MANSECT=1
MANCOMPR=gzip -9c
MANX=.gz

UNICODE_DOC_DIR=${HOME}/doc/unicode
RFC_DIR=${HOME}/doc/rfc

DEST=libmoe
Os=altmalloc.o btri.o uirx.o wcrx.o mbces.o iso2mb.o mb2iso.o mbinit.o mbfind.o mbio.o jis0208-extra.o
Hs=mbversion.h mbcesdefs.h mbcesconf.h mblangconf.h altmalloc.h btri.h uirx.h wcrx.h mbces.h mb.h

BTRI_Hs=\
notascii.h \
mbwcweight.h \
jis1flag.h \
jis0208-to-ucs-extra.h \
ucs-to-jis0208-extra.h \
full-to-half.h \
half-to-full.h \
iso-to-ucs.h \
ucs-to-iso.h \
xterm_ucswidth.h \
eaw_a2n_ucswidth.h \
eaw_a2w_ucswidth.h \
mbtermtab.h \
prop.h \
mbcestab.h \
mbconvtab.h \
mbflagtab.h \
mbdetectortab.h

BTRI_Cs=

ALL=${DEST}.so
INST=${Hs}
INSTLIBA=${DEST}.a
INSTLIBSO=${DEST}.so ${DEST}.so.${VER}.${RELEASE} ${DEST}.so.${VER}.${RELEASE}.${LEVEL}
INSTLIBEXEC=mk_btri
INSTBIN=mbconv

DEBUG=
CF=${DEBUG} -O2 -Wall -fpic -I.
LF=-shared -Wl,-soname,${DEST}.so.${VER}.${RELEASE}
CC=gcc
CPP=gcc -E
LD=gcc
RANLIB=ranlib
AR=ar

#  Hideyuki SHIRAI <shirai@rdmg.mgcs.mei.co.jp> informed mee that
#  Solaris7 requires definisions:
#LF=-dy -G -I  ${DEST}.so.${VER}.${RELEASE}
#LD=ld

all: mbconv mbconv.man ${INSTLIBA}

mbconv: mbconv.c ${ALL}
	${CC} ${CF} -o $@ $< -L. -lmoe


${DEST}.so: ${DEST}.so.${VER}.${RELEASE}
	ln -sf $< $@

${DEST}.so.${VER}.${RELEASE}: ${DEST}.so.${VER}.${RELEASE}.${LEVEL}
	ln -sf $< $@

${DEST}.so.${VER}.${RELEASE}.${LEVEL}: ${Os}
	${LD} ${LF} -o $@ $^

${DEST}.a: ${Os}
	${AR} cru $@ $^
	${RANLIB} $@

%.o: %.c
	${CC} ${CF} -c $<

altmalloc.o: altmalloc.c altmalloc.h
btri.o: btri.c btri.h altmalloc.h
uirx.o: uirx.c uirx.h altmalloc.h
wcrx.o: wcrx.c wcrx.h altmalloc.h uirx.h
iso2mb.o: iso2mb.c ${Hs} notascii.h mbwcweight.h
mb2iso.o: mb2iso.c ${Hs} jis1flag.h domestic-ascii.h full-to-half.h half-to-full.h iso-to-ucs.h ucs-to-iso.h ucs-to-iso-pool.h
mbfind.o: mbfind.c ${Hs} xterm_ucswidth.h eaw_a2n_ucswidth.h eaw_a2w_ucswidth.h mbtermtab.h prop.h
mbio.o: mbio.c ${Hs}
jis0208-extra.o: jis0208-extra.c ${Hs} jis0208-to-ucs-extra.h ucs-to-jis0208-extra.h
mbinit.o: mbinit.c ${Hs} mbcestab.h mbconvtab.h mbflagtab.h mbdetectortab.h
mbces.o: mbces.c ${Hs}

mbversion.h: version.mak
	echo "#define MB_VERSION_STRING \"${VER}.${RELEASE}.${LEVEL}${EXTRA}\"" >$@
	echo "#define MB_VERSION (${VER}*10000+${RELEASE}*100+${LEVEL})" >>$@

${BTRI_Hs}: %.h: %.mk_btri.h mk_btri
	-rm -f $@
	${CPP} ${CF} $< | ./mk_btri >$@-new && mv $@-new $@

${BTRI_Cs}: %.c: %.mk_btri.c mk_btri
	-rm -f $@
	./mk_btri <$< >$@-new && mv $@-new $@

mk_btri: btri.c btri.h altmalloc.o
	${CC} ${CF} -DMAIN -o $@ $< altmalloc.o

mbconv.man: mbconv.pod
	pod2man --section=${MANSECT} --center=' ' $< >$@

install: install-bin install-lib install-man

install-bin: mbconv mk_btri
	test "X${INSTLIBSO}" \!= X && { \
		rm -f \
		${DESTDIR}${LIBSODIR}/${DEST}.so \
		${DESTDIR}${LIBSODIR}/${DEST}.so.${VER}.${RELEASE} \
		${DESTDIR}${LIBSODIR}/${DEST}.so.${VER}.${RELEASE}.* ; \
		mkdir -p ${DESTDIR}${LIBSODIR} ; \
		test -d ${DESTDIR}${LIBSODIR} && cp -pd ${INSTLIBSO} ${DESTDIR}${LIBSODIR} ; \
	}
	test "X${INSTBIN}" \!= X && { \
		mkdir -p ${DESTDIR}${BINDIR} ; \
		test -d ${DESTDIR}${BINDIR} && cp -pd ${INSTBIN} ${DESTDIR}${BINDIR} ; \
	}

install-lib: ${INSTLIBA}
	test "X${INST}" \!= X && { \
		mkdir -p ${DESTDIR}${INCDIR} ; \
		test -d ${DESTDIR}${INCDIR} && cp -pd ${INST} ${DESTDIR}${INCDIR} ; \
	}
	test "X${INSTLIBA}" \!= X && { \
		mkdir -p ${DESTDIR}${LIBADIR} ; \
		test -d ${DESTDIR}${LIBADIR} && cp -pd ${INSTLIBA} ${DESTDIR}${LIBADIR} ; \
	}
	test "X${INSTLIBEXEC}" \!= X && { \
		mkdir -p ${DESTDIR}${LIBEXECDIR} ; \
		test -d ${DESTDIR}${LIBEXECDIR} && cp -pd ${INSTLIBEXEC} ${DESTDIR}${LIBEXECDIR} ; \
	}

install-man: mbconv.man
	mkdir -p ${DESTDIR}${MANDIR}/man${MANSECT}
	test -d ${DESTDIR}${MANDIR}/man${MANSECT} && \
		${MANCOMPR} <mbconv.man >${DESTDIR}${MANDIR}/man${MANSECT}/mbconv.${MANSECT}${MANX}

clean:
	rm -f ${DEST}.a ${DEST}.so* *.o mk_btri mbconv ${BTRI_Hs}

clean-oldso:
	for f in ${DEST}.so.${VER}.${RELEASE}.*; do \
		test "X$$f" = "X${DEST}.so.${VER}.${RELEASE}.${LEVEL}" || rm -f $$f ; \
	done

mbenclib.ph: mb.h
	-rm -f $@
	sed -ne '/ BEGIN h2ph /,/ END h2ph /p' $^ | h2ph -use_eval=0 >$@-new && mv $@-new $@

ucs-to-iso: mbenclib.ph
	perl ucs-to-iso.pl ${UNICODE_DOC_DIR}/UnicodeData-Latest.txt ${UNICODE_DOC_DIR}/*.TXT ${UNICODE_DOC_DIR}/*.xml

mbwcweight: mbenclib.ph
	perl $@.pl

domestic-ascii: mbenclib.ph
	perl domestic-ascii.pl

eaw_ucswidth:
	perl eaw_ucswidth.pl ${UNICODE_DOC_DIR}/EastAsianWidth.txt

jis0208-extra:
	perl jis0208-extra.pl ${UNICODE_DOC_DIR}/JIS0208.TXT.extra

release: clean ucs-to-iso mbwcweight domestic-ascii eaw_ucswidth jis0208-extra

btri_hs: ${BTRI_Hs}

btri_cs: ${BTRI_Cs}

.PHONY: all install install-bin install-lib install-man clean clean-oldso \
ucs-to-iso mbwcweight domestic-ascii eaw_ucswidth release \
btri_hs btri_cs

## libmoe 1.5.7

=== Makefile ===
--- 
+++ 
@@ -47,8 +47,8 @@
 INST=${Hs}
 INSTLIBA=${DEST}.a
 INSTLIBSO=${DEST}.so ${DEST}.so.${VER}.${RELEASE} ${DEST}.so.${VER}.${RELEASE}.${LEVEL}
-INSTLIBEXEC=mk_btri
-INSTBIN=mbconv
+INSTLIBEXEC=mk_btri${EXT}
+INSTBIN=mbconv${EXT}
 
 DEBUG=
 CF=${DEBUG} -O2 -Wall -fpic -I.
@@ -59,12 +59,16 @@
 RANLIB=ranlib
 AR=ar
 
-#  Hideyuki SHIRAI <shirai@rdmg.mgcs.mei.co.jp> informed mee that
-#  Solaris7 requires definisions:
+#  Hideyuki SHIRAI <shirai@rdmg.mgcs.mei.co.jp> informed me that
+#  Solaris7 requires definitions:
 #LF=-dy -G -I  ${DEST}.so.${VER}.${RELEASE}
 #LD=ld
 
-all: mbconv mbconv.man ${INSTLIBA}
+#  Tsutomu OKADA <tsutomu.okada@furuno.co.jp> informed me that
+#  Cygwin requires command extension:
+#EXT=.exe
+
+all: ${INSTLIBA} mbconv mbconv.man
 
 mbconv: mbconv.c ${ALL}
 	${CC} ${CF} -o $@ $< -L. -lmoe

## libmoe 1.5.8

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 include version.mak
 
 DESTDIR=
+INSTALL=sh ./install.sh
 PREFIX=/usr/local
 INCDIR=${PREFIX}/include/moe
 LIBSODIR=${PREFIX}/lib
@@ -129,25 +130,25 @@
 		${DESTDIR}${LIBSODIR}/${DEST}.so.${VER}.${RELEASE} \
 		${DESTDIR}${LIBSODIR}/${DEST}.so.${VER}.${RELEASE}.* ; \
 		mkdir -p ${DESTDIR}${LIBSODIR} ; \
-		test -d ${DESTDIR}${LIBSODIR} && cp -pd ${INSTLIBSO} ${DESTDIR}${LIBSODIR} ; \
+		test -d ${DESTDIR}${LIBSODIR} && ${INSTALL} ${DESTDIR}${LIBSODIR} ${INSTLIBSO} ; \
 	}
 	test "X${INSTBIN}" \!= X && { \
 		mkdir -p ${DESTDIR}${BINDIR} ; \
-		test -d ${DESTDIR}${BINDIR} && cp -pd ${INSTBIN} ${DESTDIR}${BINDIR} ; \
+		test -d ${DESTDIR}${BINDIR} && ${INSTALL} ${DESTDIR}${BINDIR} ${INSTBIN} ; \
 	}
 
 install-lib: ${INSTLIBA}
 	test "X${INST}" \!= X && { \
 		mkdir -p ${DESTDIR}${INCDIR} ; \
-		test -d ${DESTDIR}${INCDIR} && cp -pd ${INST} ${DESTDIR}${INCDIR} ; \
+		test -d ${DESTDIR}${INCDIR} && ${INSTALL} ${DESTDIR}${INCDIR} ${INST} ; \
 	}
 	test "X${INSTLIBA}" \!= X && { \
 		mkdir -p ${DESTDIR}${LIBADIR} ; \
-		test -d ${DESTDIR}${LIBADIR} && cp -pd ${INSTLIBA} ${DESTDIR}${LIBADIR} ; \
+		test -d ${DESTDIR}${LIBADIR} && ${INSTALL} ${DESTDIR}${LIBADIR} ${INSTLIBA} ; \
 	}
 	test "X${INSTLIBEXEC}" \!= X && { \
 		mkdir -p ${DESTDIR}${LIBEXECDIR} ; \
-		test -d ${DESTDIR}${LIBEXECDIR} && cp -pd ${INSTLIBEXEC} ${DESTDIR}${LIBEXECDIR} ; \
+		test -d ${DESTDIR}${LIBEXECDIR} && ${INSTALL} ${DESTDIR}${LIBEXECDIR} ${INSTLIBEXEC} ; \
 	}
 
 install-man: mbconv.man

=== debian/changelog ===
libmoe (1.5.8-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6
  * debian/control:
    + Add VCS fields.
    + Add ${misc:Depends} to Depends.
  * debian/watch: Added.
  * debian/patches/gcc5.patch: Fix FTBFS with GCC-5 (Closes: #777958)
  * debian/source/format: 3.0 (quilt).
  * Remove autogenerated files.
  * debian/rules:
    + Change to dh7 style.
    + Add make option to reproducible build (Closes: #779167)

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 08 Jul 2015 13:44:54 +0900

libmoe (1.5.8-1) unstable; urgency=low

  * New maintainer (Closes: #541045)
  * New upstream release
  * update policy 3.8.3. 
  * debian/control: change section to libdevel from devel
  * debian/control: depends debhelper(>= 7.0.0)
  * debian/rules: remove DH_COMPAT

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 21 Nov 2009 14:46:36 +0900

libmoe (1.5.7-1) unstable; urgency=low

  * New upstream release
  * fix FTBFS with gcc-3.4: label at end of compound statement
    closes: Bug#260430.

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 30 Oct 2004 01:46:47 +0900

libmoe (1.5.6-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 22 Mar 2004 02:15:10 +0900

libmoe (1.5.3-2) unstable; urgency=low

  * mbconv move from libmoe-dev to libmoe1.5, closes: Bug#171576

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed,  4 Dec 2002 01:14:08 +0900

libmoe (1.5.3-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 21 Apr 2002 01:42:56 +0900

libmoe (1.5.2-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 20 Feb 2002 00:01:55 +0900

libmoe (1.5.1-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 19 Feb 2002 12:12:40 +0900

libmoe (1.5.0-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed,  6 Feb 2002 01:25:29 +0900

libmoe (1.4.1-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 21 Dec 2001 00:49:41 +0900

libmoe (1.4.0-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue,  4 Dec 2001 01:36:23 +0900

libmoe (1.3.9-1) unstable; urgency=low

  * new upstream version

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun,  3 Jun 2001 03:01:40 +0900

libmoe (1.3.6-1) unstable; urgency=low

  * new upstream version

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 23 May 2001 00:25:19 +0900

libmoe (1.3.3-1) unstable; urgency=low

  * new upstream version

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 21 Apr 2001 03:32:05 +0900

libmoe (1.3.2-2) unstable; urgency=low

  * new upstream version

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 23 Mar 2001 15:13:11 +0900

libmoe (1.2.2-1) unstable; urgency=low

  * new upstream version

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 28 Feb 2001 00:20:32 +0900

libmoe (1.2.1-2) unstable; urgency=low

  * fix build fails on alpha, closes: Bug#87712

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 26 Feb 2001 22:51:55 +0900

libmoe (1.2.1-1) unstable; urgency=low

  * Initial Release, closes: Bug#86530

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 19 Feb 2001 22:20:11 +0900

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: libmoe
Section: libdevel
Priority: optional
Maintainer: TANIGUCHI Takaki <takaki@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper(>= 7.0.0), perl
Vcs-Git: git://git.debian.org/collab-maint/libmoe.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/libmoe.git;a=summary

Package: libmoe-dev
Architecture: any
Depends: ${misc:Depends}, libmoe1.5 (= ${binary:Version}), libc6-dev
Conflicts: libiso2mb-dev
Replaces: libiso2mb-dev
Description: library to handle multiple octets character encoding scheme (devel files)
 libmoe is a collection of routines to handle sequence of characters
 consisting of multiple octets.  The main functionalities are to convert 
 the encoding of a character from ISO 2022 to "fake" UTF-8, and vice versa.
 .
 This development package contains include files for the interface.
 It includes also a static lib for particular cases.

Package: libmoe1.5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to handle multiple octets character encoding scheme
 libmoe is a collection of routines to handle sequence of characters
 consisting of multiple octets.  The main functionalities are to convert 
 the encoding of a character from ISO 2022 to "fake" UTF-8, and vice versa.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	dh $@ 

override_dh_auto_install:
	dh_auto_install
	$(MAKE) install \
                DESTDIR=`pwd`/debian/tmp \
                PREFIX=/usr \
                LIBEXECDIR='$${PREFIX}/lib/moe' \
                MANDIR=/usr/share/man
		MANCOMPR="gzip -9cn"

# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)


#	dh_movefiles -plibmoe$(VER).$(RELEASE) \
#		usr/lib/libmoe.so.$(VER).$(RELEASE) \
#		usr/lib/libmoe.so.$(VER).$(RELEASE).$(LEVEL) \
##		usr/bin/mbconv \
#		usr/share/man/man1/mbconv.1.gz

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(tar.*|tgz|zip|gz|bz2)$//i,dversionmangle=s/[-.+~]?(cvs|svn|git|snapshot|pre|hg)(.*)$//i,pasv \
http://pub.ks-and-ks.ne.jp/prog/libmoe/ (?:.*/)?libmoe-?_?([\d+\.]+|\d+)\.(tar.*|tgz|zip|gz|bz2|) debian uupdate
